
OCAMLBUILDDIR = $(top_builddir)/src/gdome_caml
OCAMLINSTALLDIR = $(DESTDIR)$(OCAML_LIB_PREFIX)/gdome2
OCAMLFLAGS = -I $(OCAMLBUILDDIR) -I $(OCAMLBUILDDIR)/core \
             -I $(OCAMLBUILDDIR)/types
OCAMLC = @OCAMLC@ ${OCAMLFLAGS}
OCAMLOPT = @OCAMLOPT@ ${OCAMLFLAGS}
OCAMLDEP = @OCAMLDEP@
OCAML_CFLAGS  = @OCAML_CFLAGS@

## CLEANFILES = \
##   mlbasic.cma mlbasic.cmxa mlbasic.a \
##   gdomeInit.cmi gdomeInit.cmo gdomeInit.cmx gdomeInit.o \
##   tDOMTimeStamp.cmi \
##   tDOMString.cmi \
##   iDOMString.cmi iDOMString.cmo iDOMString.cmx iDOMString.o

CLEANFILES = \
  gdomeInit.cmi gdomeInit.cmo gdomeInit.cmx gdomeInit.o \
  tDOMTimeStamp.cmi tDOMString.cmi \
  iDOMString.cmi iDOMString.cmo iDOMString.cmx iDOMString.o

EXTRA_DIST = \
  gdomeInit.ml \
  gdomeInit.mli \
  tDOMTimeStamp.mli \
  tDOMString.mli \
  iDOMString.ml \
  .depend \
  .linkorder

if HAVE_OCAMLOPT_COND
noinst_DATA = ml_DOMString.o ml_misc.o gdomeInit.cmo iDOMString.cmo gdomeInit.cmx iDOMString.cmx
else
noinst_DATA = gdomeInit.cmo iDOMString.cmo
endif

noinst_LTLIBRARIES = libbasic.la

iDOMString.cmo : tDOMString.cmi

libbasic_la_SOURCES = \
  ml_DOMString.c \
  ml_misc.c

all : tDOMTimeStamp.cmi

INCLUDES = \
  $(OCAML_CFLAGS) \
  $(GDOME_CFLAGS) \
  -I$(srcdir)/../include

if HAVE_OCAMLOPT_COND
install-data-local: gdomeInit.cmo \
                    gdomeInit.cmx gdomeInit.o tDOMTimeStamp.cmi \
		    tDOMString.cmi gdomeInit.ml gdomeInit.mli tDOMTimeStamp.mli \
                    tDOMString.mli iDOMString.ml iDOMString.cmi gdomeInit.cmi
else
install-data-local: gdomeInit.cmo \
                    tDOMTimeStamp.cmi \
		    tDOMString.cmi gdomeInit.ml gdomeInit.mli tDOMTimeStamp.mli \
                    tDOMString.mli iDOMString.ml iDOMString.cmi gdomeInit.cmi
endif
	$(mkinstalldirs) $(OCAMLINSTALLDIR)
	for i in $^; do \
		$(INSTALL_DATA) $$i $(OCAMLINSTALLDIR); \
	done

#### OCaml only stuff from now on

DEPOBJS = \
  tDOMString.mli \
  tDOMString.ml \
  tDOMTimeStamp.mli \
  gdomeInit.mli \
  gdomeInit.ml \
  iDOMString.ml
LINKORDER = iDOMString

depend:
	$(OCAMLDEP) $(DEPOBJS) > .depend
	echo "$(LINKORDER)" > .linkorder

%.cmi : $(srcdir)/%.mli
	if test ! -e $(@:%.cmi=%.mli) -a "x$(srcdir)" != "x." ; then $(LN_S) $< . ; fi
	$(OCAMLC) -c $(@:%.cmi=%.mli)
		
%.cmo : %.ml
	if test ! -e $(@:%.cmo=%.ml) -a "x$(srcdir)" != "x." ; then $(LN_S) $< . ; fi
	$(OCAMLC) -c $(@:%.cmo=%.ml)
				
%.cmx %.o : %.ml
	if test ! -e $(@:%.cmx=%.ml) -a "x$(srcdir)" != "x." ; then $(LN_S) $< . ; fi
	$(OCAMLOPT) -c $(@:%.cmx=%.ml)
						
include .depend

